#!/bin/zsh

# (C) Copyright Collin J. Doering 2014
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

# File: isync-auth.sh
# Author: Collin J. Doering <collin.doering@rekahsoft.ca>
# Date: Jun 13, 2014

# TODO: sed regular expression below will not allow passowords that contain a ". We should allow escaping it

if [[ "x$1" != "x" && -f ~/.mbsync-authinfo.gpg ]]; then
    gpg2 -q --for-your-eyes-only --no-tty -d "$HOME/.mbsync-authinfo.gpg" | grep -e "^LOGIN \"$1\".*$" | sed 's/^LOGIN "[^"]*" "\([^"]*\)"$/\1/'
else
    # fail silently
    exit 1
fi

# exit success
exit 0
